; TIP942.LSP:  PLEDIT.LSP   Edit Multiple Lines   (c)1994, Caodanh Nguyen

;;Editing multiple polylines.
;;**************
(defun c:PLEDIT (/ VOID LEN SS SS2 FLAG ENLIST PICK WID SS1 ENAME EFLAG)
   (setvar "CMDECHO" 0)
   (setq VOID (list "CIRCLE" "INSERT" "SOLID" "TRACE" "TEXT" "POINT"
   "ATTDEF" "DIMENSION" "SHAPE" "3DFACE"));;The entities that 
   ;;wouldn't be able to
   ;;be changed to pline      
   (setq SS (ssget) SS2 (ssadd) FLAG 0)
   (setq LEN (sslength SS))
   (while (> LEN 0) ;; filter the objects
      (setq ENLIST (entget (ssname SS (setq LEN (1- LEN)))))
      (setq ENAME (cdr (assoc 0 ENLIST)))
      (setq EFLAG (cdr (assoc 70 ENLIST)))
      (cond
         ((/= ENAME "POLYLINE")
            (if (= (member ENAME VOID) nil)
               (progn
                  (setq SS1 (ssname SS LEN) FLAG 1)
                  (ssadd SS1 SS2)
                  (ssdel SS1 SS)
               ) 
               (ssdel (ssname SS LEN) SS)
            )
         )
         ((and (= ENAME "POLYLINE")(> EFLAG 5))(ssdel (ssname SS LEN) SS))
      ) ;; cond
   )  ;; while
   (if (= FLAG 1)
      (progn
         (prompt "\nThere are some entities selected which are not polylines.")
         (initget "Yes No")
         (setq PICK (getkword "\nDo you want to turn them into ones ? (<Yes> No):"))
         (if (= PICK nil)(setq PICK "Yes"))
         (if (= PICK "Yes")
            (progn
               (setq LEN (sslength SS2))
               (while (> LEN 0)
                  (setq ENLIST (ssname SS2 (setq LEN (1- LEN))))
                  (command ".pedit" ENLIST "y" "")
                  (setq SS1 (ssget "L") SS1 (ssname SS1 0))
                  (ssadd SS1 SS)
               );; while
            ) ;; progn
         );; if PICK = "Yes"
      );; progn
   );; if FLAG = 1
   (setq LEN (sslength SS) PICK "Width")
   (while (/= PICK "Exit") ;; run command pline inside a loop
      (initget "Open Close Width Fit Spline Decurve Undo Exit")
      (setq PICK (getkword "\nOpen Close Width Fit Spline Decurve Undo <Exit>"))
      (if (= PICK nil)(setq PICK "Exit"))
      (if (= PICK "Width")(setq WID (getdist "\nEnter width for all pline : ")))
      (setq LEN (sslength SS))
      (while (and (> LEN 0)(/= PICK "Exit"))
         (setq ENLIST (ssname SS (setq LEN (1- LEN))))
         (cond
            ((= PICK "Width")(command ".pedit" ENLIST PICK WID ""))
            ((= PICK "Undo")(command "undo" 1))
            (t (command ".pedit" ENLIST PICK ""))
         )
      )
   )
   (princ)
); end pledit.lsp
