; TIP947.LSP:  VPLAYPF.LSP    Freeze Layer in Viewport
;                               (c)1994, T. Russel Clem, Jr.

(defun c:vplaypf (/ rel ss ss1 vplayname curlayer start tempexpt
   vp ent layernam laylist)
   (setq rel (getvar "acadver"))       ;check for Rel. 11
   (setq rel (atoi (substr rel 1 2)))
   (if (>= rel 11)
      (progn
         (setq curlayer nil start 't)
         (setq tempexpt(getvar "expert"))
         (setvar "expert" 1)
         (if (= (getvar "tilemode") 1)(setvar "tilemode" 0))
         (command "pspace")
         (setq ss (ssget "x" '(( 0 . "VIEWPORT"))))
         (setq ss1 (entget (ssname ss 0)))
         (setq vplayname (cdr (assoc 8 ss1)))
         (command "layer" "thaw" vplayname "on" vplayname "")
         (command "move" ss "" "0,0" "0,0")
         (princ "\nPick Viewport(s) to Freeze Layers in:")
         (command "select" pause)
         (setq vp (ssget "p"))
         (command "mview" "on" vp "" "mspace")
         (while
            (setq ent(entsel "\nPick object on layer to FREEZE in Viewport <done>: "))
            (setq layernam(cdr(assoc 8(entget(car ent)))))
            (if(=(getvar "clayer")layernam)(setq curlayer 't))
            (if start(setq laylist layernam start nil)(setq laylist(strcat laylist "," layernam)))
            (princ(strcat "\nPicked Layer " layernam))
         )
         (command "pspace" "vplayer" "freeze" laylist "s" vp "" "")
         (setvar "expert" tempexpt)
         (if curlayer(princ "\nCannot FREEZE Current LAYER ! "))
         (princ)
      ); end progn
      (princ "\nAutoCAD Release 11 or Higher is Required for program!!")
   )(princ)
); end vplaypf.lsp
