; TIP941.LSP:  LINE1.LSP    Draw a Line   (c)1994, Andrew C. Clarey

(defun C:LINE1 (/ LAY L CMD SP Q CTYPE EP DIST ANGLE COORD LP LPDATA A)
   (setq LAY(getvar "CLAYER")
      L(getstring "\n Select Layer to Draw: ")
      CMD(getvar "CMDECHO")
   SP(getpoint "\nSelect Start Point: "))
   (setq Q 1)
   (setvar "CMDECHO" 0)
   (command "LAYER" "S" L "")
   (while Q
      (setq CTYPE(strcase(getstring "\nEnter D for Digitizer, C for Cartesian, P for Polar, R for Relative: "))) 
      (cond
         ((= CTYPE "D")
            (setq EP(getpoint "\nSelect Endpoint of Line: "))
            (command "LINE" SP EP "")
         )
         ((= CTYPE "C")
            (setq EP(getstring "\nEnter Endpoint X,Y,Z Coordinate: "))
            (command "LINE" SP EP "")
         )
         ((= CTYPE "P") 
            (setq DIST(getstring "\nEnter Length of Line: ")
               ANGLE(getstring "\nEnter Angle of Line: ")
            EP(strcat "@" DIST "<" ANGLE))
            (command "LINE" SP EP "")
         )
         ((= CTYPE "R")
            (setq COORD(getstring "\nEnter Endpoint X,Y,Z Coordinate Relative to the Last Point: ")
            EP(strcat "@" COORD))
            (command "LINE" SP EP "")
         )
      ) 
      (setq LP(entlast)
         LPDATA(entget LP)
         SP(cdr(assoc 11 LPDATA))
      A(getstring "\nEnter to continue or <Q> to Quit: "))
      (if(=(strcase A)"Q")(setq Q nil))
   ) 
   (setvar "CMDECHO" CMD)
   (command "LAYER" "S" LAY "")
); end line1.lsp
