; TIP948.LSP:  BSCALE.LSP    Change Multiple Blocks
;                               (c)1994, William J. Garmer Jr. 

(defun C:BSCALE ()
   (setq ss (ssget '((0 . "INSERT"))))
   (setq inp "1")
   (while inp
      (initget "X Y Z Rotation")
      (setq inp (getkword "\nNew X,Y,Z,Rotation: "))
      (cond
         ((= inp "Rotation")
            (initget (+ 1)) (setq new_rot (getangle "\n->New rotation angle: "))
         (substitu ss 50 new_rot))
         ((= inp "X")
            (initget (+ 1)) (setq new_x (getREAL "\n->Enter new X Scale factor: "))
         (substitu ss 41 new_x))
         ((= inp "Y")
            (initget (+ 1)) (setq new_y (getREAL "\n->Enter new Y Scale factor: "))
         (substitu ss 42 new_y))
         ((= inp "Z")
            (initget (+ 1)) (setq new_z (getREAL "\n->Enter new Z Scale factor: "))
         (substitu ss 43 new_z))
      );cond
   );while
);end defun C:BSCALE
(defun substitu (ss num val / e count)
   (terpri)
   (setq count 0)
   (while (< count (sslength ss))
      (princ (strcat "\nProcessing entity no.:" (itoa (+ 1 count)) " of "
      (itoa (sslength ss))))
      (if (= (cdr (assoc 0 (setq e (entget (ssname ss count))))) "INSERT")
         (progn (setq e (subst (cons num val) (assoc num e) e))
         (entmod e))
      ) 
      (setq count (+ count 1))
   )
); end bscale.lsp

